<?xml version="1.0" encoding="ISO-8859-1"?>

<document>

  <properties>
    <title>HttpClient User Guide</title>
    <author email="adrian@ephox.com">Adrian Sutton</author>
    <revision>$Id: userguide.xml,v 1.1.2.1 2003/08/21 16:07:31 oglueck Exp $</revision>
  </properties>

  <body>

    <section name="User Guide">
      <p>The HttpClient user guide is designed to help developers use
      HttpClient in their applications.  While the concept of a user guide
      being for developers may seem strange, the term developer guide is
      already in use for helping people develop HttpClient.</p>
    </section>

    <section name="Overview">
      <table>
        <tr>
          <th>Document</th>
          <th>Description</th>
        </tr>
        <tr>
          <td><a href="authentication.html">Authentication Guide</a></td>
          <td>This document describes the authentication schemes supported by
          HttpClient and how to use them.</td>
        </tr>
        <tr>
          <td><a href="charencodings.html">Character Encodings</a></td>
          <td>To be completed.  Guidelines for correctly detecting the
          character encoding to use when sending and receiving data with
          HttpClient.</td>
        </tr>
        <tr>
          <td><a href="redirects.html">Cross Host Redirects</a></td>
          <td>To be completed.  Provide sample code for handling redirects
          across hosts.</td>
        </tr>
        <tr>
          <td><a href="logging.html">Logging Guide</a></td>
          <td>This document describes the logging mechanism used by HttpClient
          and how to control what it outputs.</td>
        </tr>
        <tr>
          <td><a href="methods.html">Methods</a></td>
          <td>To be completed.  This document describes the various methods
          that are provided by HttpClient and how to use them.</td>
        </tr>
        <tr>
          <td><a href="http://cvs.apache.org/viewcvs.cgi/jakarta-commons/httpclient/src/examples/">Sample Code</a></td>
          <td>This is a link to the sample code for using HttpClient that is
          stored in the CVS repository and is available in source releases
          of HttpClient.</td>
        </tr>
        <tr>
          <td><a href="troubleshooting.html">Trouble Shooting</a></td>
          <td>This document provides hints and tips for debugging problems with
          HttpClient.</td>
        </tr>
        <tr>
          <td><a href="tutorial.html">Tutorial</a></td>
          <td>This document provides a simple introductory tutorial for new users
          of HttpClient.</td>
        </tr>
      </table>
    </section>
  </body>
</document>
